﻿using AutoMapper;
using System.Reflection;
using WebApplication5.Models;

namespace WebApplication5
{
    public class AutoMapperProfile : Profile
    {
        public AutoMapperProfile()
        {
            CreateMap<CategoryViewModel, Category>();
            CreateMap<Category, CategoryViewModel>();
            CreateMap<QuestionViewModel, Question>();
            CreateMap<Question, QuestionViewModel>();
            CreateMap<AnswerViewModel, Answer>();
            CreateMap<Answer, AnswerViewModel>();
        }
    }
}