﻿using System.Collections.Generic;

namespace WebApplication5.Models
{
    public class QuestionViewModel
    {
        public QuestionViewModel()
        {
            Answers = new List<AnswerViewModel>();
        }
        public int? Id { get; set; }
        public string Name { get; set; }
        public string QuestionText { get; set; }
        public int DefaultScore { get; set; }
        public List<AnswerViewModel> Answers { get; set; }
        public bool Checked { get; set; }
    }
    public class QuestionView
    {
        public QuestionView()
        {
            Questions = new List<QuestionViewModel>();
        }
        public List<QuestionViewModel> Questions;
        public int CategoryId;
    }
}