﻿using System.Data.Entity;
using System.Data.Entity.ModelConfiguration;
using WebApplication5.Models;
using System.ComponentModel.DataAnnotations.Schema;

namespace WebApplication5
{
    public class AnswerConfiguration : EntityTypeConfiguration<Answer>
    {
        public void Configure(DbModelBuilder builder)
        {
            #region Primary Key 
            builder.Entity<Answer>().HasKey(e => e.Id);
            #endregion

            #region Properties
            builder.Entity<Answer>().Property(e => e.Id)
                  .HasDatabaseGeneratedOption(DatabaseGeneratedOption.Identity);
            #endregion
        }
    }
}