﻿using System.Data.Entity;
using System.Data.Entity.ModelConfiguration;
using WebApplication5.Models;
using System.ComponentModel.DataAnnotations.Schema;

namespace WebApplication5
{
    public class CategoryConfiguration : EntityTypeConfiguration<Category>
    {
        public void Configure(DbModelBuilder builder)
        {
            #region Primary Key 
            builder.Entity<Category>().HasKey(e => e.Id);
            #endregion

            #region Relations
            builder.Entity<Category>().HasMany(e => e.Questions);
            #endregion

            #region Properties
            builder.Entity<Category>().Property(e => e.Id)
                .HasDatabaseGeneratedOption(DatabaseGeneratedOption.Identity);
            #endregion
        }
    }
}